Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415300 - Custom Attributes in WebUI Change Order as Created / Updated - Not sorted
Summary: Custom Attributes in WebUI Change Order as Created / Updated - Not sorted
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Milan Zázrivec
QA Contact: Jiri Stefanisin
URL:
Whiteboard: ui:general
Depends On:
Blocks: 1428897
TreeView+ depends on / blocked
 
Reported: 2017-01-20 19:44 UTC by Jeffrey Cutter
Modified: 2017-06-12 16:05 UTC (History)
7 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1428897 (view as bug list)
Environment:
Last Closed: 2017-06-12 16:05:58 UTC
Category: Bug
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)

Description Jeffrey Cutter 2017-01-20 19:44:57 UTC
Description of problem:

In the CloudForms standard Web UI, when looking at a VM or Instance etc. and looking at the Custom Attributes assigned, the order of the custom attributes is not consistent.  It changes as attributes are created / updated.

Version-Release number of selected component (if applicable):

5.6.3.3

How reproducible:

Add custom attributes, note the order in the Web UI, update or add more custom attributes, note the change in order.

Actual results:

Custom attributes change order and are not sorted.

Expected results:

Custom attributes sorted by custom attribute name.

Comment 3 CFME Bot 2017-01-26 17:22:19 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:
https://github.com/ManageIQ/manageiq-ui-classic/commit/5366019db7451b0fa4da5466af67c68e6afe3578

commit 5366019db7451b0fa4da5466af67c68e6afe3578
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Tue Jan 24 16:06:19 2017 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Tue Jan 24 16:06:19 2017 +0100

    Sort custom attributes by attribute name
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1415300

 app/helpers/container_summary_helper.rb             | 2 +-
 app/helpers/ems_container_helper/textual_summary.rb | 2 +-
 app/helpers/host_helper/textual_summary.rb          | 4 ++--
 app/helpers/service_helper/textual_summary.rb       | 2 +-
 app/helpers/vm_cloud_helper/textual_summary.rb      | 4 ++--
 app/helpers/vm_helper/textual_summary.rb            | 4 ++--
 6 files changed, 9 insertions(+), 9 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.